Tag Archives: error

Gem Error while try to execute Rails commads

to_specs': Could not find rails (>= 0) amongst [] (Gem::LoadError) from /usr/local/lib/site_ruby/1.8/rubygems/dependency.rb:256:in

if you get such an error while execution "rails new [project_name]" it means there is a conflict on your machine between gem installations and you need to get rid one of them.

I just start to use rvm instead of plain ruby installation and there were an such error. As a solution I deleted the "site_ruby" folder in ~/opt/local/lib path, then everything is working fine

Share